Input error can lead to continuous searches

Bug #1692398 reported by Robert Ancell on 2017-05-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
Medium
Robert Ancell
Xenial
Medium
Robert Ancell
Yakkety
Medium
Robert Ancell
Zesty
Medium
Robert Ancell
Artful
Medium
Robert Ancell

Bug Description

[Impact]
An input error (e.g. a key being continuously pressed) in the gnome-software search field can lead to continuous searches being sent via snapd. This is beuause there is no limit in this search field.

[Test Case]
1. Open GNOME Software
2. Click search button
3. Continuously press and release 't'

Expected result:
Searches stop after a the search field hits the character limit.

Observed result:
Searches are continuously generated for each key press (there is no limit).

NOTE: Searches are shown in syslog (snapd debug message).

[Regression potential]
Low. The field is now limited to 100 characters and searches stop after this limit.

Changed in gnome-software (Ubuntu Artful):
status: New → Triaged
Changed in gnome-software (Ubuntu Zesty):
status: New → Triaged
Changed in gnome-software (Ubuntu Yakkety):
status: New → Triaged
Changed in gnome-software (Ubuntu Xenial):
status: New → Triaged
Changed in gnome-software (Ubuntu Artful):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Zesty):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Artful):
status: Triaged → Fix Released
Changed in gnome-software (Ubuntu Zesty):
status: Triaged → Fix Committed
Changed in gnome-software (Ubuntu Artful):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Zesty):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Yakkety):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Xenial):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Yakkety):
status: Triaged → Fix Committed
Changed in gnome-software (Ubuntu Xenial):
status: Triaged → Fix Committed
description: updated

Hello Robert, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Robert, or anyone else affected,

Accepted gnome-software into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

An upload of gnome-software to zesty-proposed has been rejected from the upload queue for the following reason: "This upload also includes version 3.22.7-0ubuntu3.17.04.3 of gnome-software which fixes bug 1689425, however this bug does not appear in the Launchpad-Bugs-Fixed section of the .changes file (https://launchpadlibrarian.net/320895234/gnome-software_3.22.7-0ubuntu3.17.04.4_source.changes) as such that bug won't be tracked as a part of the SRU when it should be. Subsequently, I'm rejecting this upload.".

Will Cooke (willcooke) wrote :

Running on Xenial:

ubuntu-software:
  Installed: 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1
  Candidate: 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1
  Version table:
 *** 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1 500
        500 http://gb.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     3.20.1+git20170509.0.8292905-0ubuntu1~xenial1 500
        500 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
     3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2 500
        500 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

I can confirm that the character limit is now 100.

tags: added: verification-failed-xenial
tags: added: verification-done-xenial
removed: verification-failed-xenial

Hello Robert, or anyone else affected,

Accepted gnome-software into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.22.7-0ubuntu3.17.04.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

Jeremy Bicha (jbicha) wrote :

I installed gnome-software 3.22.7-0ubuntu3.17.04.5 on Ubuntu GNOME 17.04.

I ran gnome-software --verbose
and verified that after reaching the search input limit, there are no more logging messages from the snap plugin.

tags: added: verification-done-zesty
Jeremy Bicha (jbicha) wrote :

I also verified gnome-software 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.10.1 on Ubuntu GNOME 16.10. The logging messages stopped after reaching the search input limit.

tags: added: verification-done-yakkety
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1

---------------
gnome-software (3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu-3-20 branch at
    git://git.gnome.org/gnome-software.
    - Handle multiple debconf connections (LP: #1688721)
    - Limit search entry in case of accidental input (LP: #1692398)

 -- Robert Ancell <email address hidden> Wed, 24 May 2017 09:49:56 +1200

Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-software has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.10.1

---------------
gnome-software (3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-3-20 branch at
    git://git.gnome.org/gnome-software.
    - Handle multiple debconf connections (LP: #1688721)
    - Limit search entry in case of accidental input (LP: #1692398)

 -- Robert Ancell <email address hidden> Wed, 24 May 2017 09:49:56 +1200

Changed in gnome-software (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.22.7-0ubuntu3.17.04.5

---------------
gnome-software (3.22.7-0ubuntu3.17.04.5) zesty; urgency=medium

  * debian/patches/0001-snap-Fix-icons-not-being-converted-to-pixbufs.patch:
    - Fix snaps without icons not showing reliably (LP: #1697565)
  * debian/patches/0001-snap-Backport-fixes-from-master.patch:
    - Show featured snaps (LP: #1663097)
  * debian/patches/0017-Use-snap-name-field-for-app-name.patch:
    - Dropped, merged into above patch

gnome-software (3.22.7-0ubuntu3.17.04.4) zesty; urgency=medium

  * debian/patches/0006-Add-an-APT-plugin.patch:
    - Handle multiple debconf connections (LP: #1688721)
  * debian/patches/0018-Limit-search-entry-to-100-characters.patch:
    - Limit search entry in case of accidental input (LP: #1692398)

gnome-software (3.22.7-0ubuntu3.17.04.3) zesty; urgency=medium

  * debian/patches/0002-Add-an-APT-plugin.patch:
    - Fix crash when debconf socket fails (LP: #1689425)

 -- Robert Ancell <email address hidden> Fri, 16 Jun 2017 13:42:12 +1200

Changed in gnome-software (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers